Whispir is constantly working to ensure our platform is safe and secure so that we can provide the best possible service to our customers. We are therefore making some important changes to the TLS (SSL) protocol versions that Whispir operates on. At this point, the changes will only affect you if you currently access Whispir on a web browser. If you connect to the Whispir platform through an API, you will receive a separate communication in the following weeks.

What are we doing?

We will be disabling TLS v1.0 and v1.1 for the Whispir Platform accessed through web browsers on 21st March 2022. After this date, the minimum version for TLS protocol will be set to v1.2. This means that if your internet browser does not support TLS v1.2, you will no longer be able to access the Whispir Platform through your internet browser. If you are not sure what TLS version they are currently using, there is a test link below in the ‘What actions must I take’ section.

Why are we doing this?

It is important for us to disable support for TLS protocol v1.0 and v1.1 to ensure that we can continue to protect our valued customers from any security vulnerabilities.

What browsers may be affected?

  • Android 2.3.7

  • Android 4.0.4

  • Android 4.1.1

  • Android 4.2.2

  • Android 4.3

  • Baidu Jan 2015

  • IE 6 / XP

  • IE 7 / Vista

  • IE 8 / XP (Doesn't work with TLS v1.0 or v1.1 either since there's no SNI or FS support)

  • IE 8-10 / Win 7

  • IE 10 / Win Phone 8.0

  • Java 6u45 (Doesn't support DH parameters > 1024 bits)

  • Java 7u25

  • OpenSSL 0.9.8y

  • Safari 5.1.9 / OS X 10.6.8

  • Safari 6.0.4 / OS X 10.8.4

  • Safari 6 / iOS 6.0.1 (Might work with TLS 1.2)

  • Safari 7 / iOS 7.1 (Might work with TLS 1.2)

  • Safari 7 / OS X 10.9 (Might work with TLS 1.2)

  • Safari 8 / iOS 8.4 (Might work with TLS 1.2)

  • Safari 8 / OS X 10.10 (Might work with TLS 1.2)

What actions must I take?

To avoid any possible disruption to the Whispir service, before 21st March 2022, customers must follow the simple steps below to ensure that they have a version of the TLS protocol that will be supported:

  1. Click on this TLS 1.2 test link to open the SSL/TLS Client Test

  2. After opening the SSL/TLS Client Test, scroll to the heading ‘Protocol Support’.

  3. If there is a green tick next to TLS 1.2, you have no more actions to take as this means TLS v1.2 is enabled

  4. If you do not receive a green tick next to ‘TLS 1.2’, you need to upgrade your web browser to the latest available version before 21st March 2022 to avoid disruption to your Whispir service. Please refer to your internet browser help pages for specific guidance on how to do this.

Note: Customers who perform the test and do not receive a green tick next to TLS v1.2 will be requested to refer to their internet browser help pages for specific guidance on how to upgrade their browser to the latest version. They will also be directed to click through to this help document for more information on web browsers that may be affected.

Did this answer your question?